const cloud = require('wx-server-sdk')

cloud.init({
  env: cloud.DYNAMIC_CURRENT_ENV
})
const db = cloud.database()
const QuestionRecord = db.collection("questionRecord");

// 修改数据库信息云函数入口函数
exports.main = async (event, context) => {
  try {
    const QRData = event.data || {};
    const wxContext = cloud.getWXContext();
    const que = {
      userId: wxContext.OPENID
    };
    let Page = QRData.Page || 1;
    let Size = QRData.Size || 20;
    QRData.queId && (que.queId = QRData.queId);
    const QR = await QuestionRecord.where(que).skip((Page - 1) * Size).limit(Page * Size).get();
    return {
      code: 0,
      data: QR.data || []
    }
  } catch (e) {
    return {
      code: 1,
      errMsg: e
    }
  }
}