const cloud = require('wx-server-sdk')

cloud.init({
  env: cloud.DYNAMIC_CURRENT_ENV
})
const db = cloud.database()
const QuestionRecord = db.collection("questionRecord");

// 修改数据库信息云函数入口函数
exports.main = async (event, context) => {
  try {
    const QRData = event.data || {};
    const QR = await QuestionRecord.add({ data: QRData });
    return {
      code: 0,
      data: {
        ...QRData,
        _id: QR._id
      }
    }
  } catch (e) {
    return {
      code: 1,
      errMsg: e
    }
  }
}