// pages/detail/index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    detail: {},
    playUrl: "",
    videoData:{},
    imgList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let que = app.globalData.selectQuestion || {};
    wx.setNavigationBarTitle({
      title: que.name
    })
    if (que.type === "video") {
      que.content = que.content.map(v => {
        v.play_count = this.formatNumber(v.play_count);
        return v
      })
    }
    this.setData({
      detail: que || {}
    })
  },
  formatNumber: function (n) {
    if (isNaN(n)) return 0;
    var out = n;
    if (out >= 100000000) {
      out = (out / 100000000).toFixed(2) + '亿';
    } else if (out >= 10000) {
      out = (out / 10000).toFixed(2) + '万';
    }
    return out
  },
  playVideo(e) {
    this.setData({
      playUrl: e.currentTarget.dataset.url || ""
    })
  },
  bindloadedmetadata(e){
    let p = {
      ...e.detail
    }
    let sys = wx.getSystemInfoSync();
    console.log(e.detail,sys.windowWidth);
    p.height = p.height/p.width * sys.windowWidth;
    p.width = sys.windowWidth;
    this.setData({
      videoData: p
    })
  },
  closeVideo(){
    this.setData({
      playUrl: ""
    })
  },
  bindload(e){
    const list = this.data.imgList || [];
    let height =339/ e.detail.width * e.detail.height
    list[e.target.dataset.index] = height;
    console.log(list);
    this.setData({
      imgList: list
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})